curl "https://app.drime.cloud/api/v1/notifications?per_page=10&page=1" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
const response = await fetch(
'https://app.drime.cloud/api/v1/notifications?per_page=10&page=1',
{
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN'
}
}
);
const { pagination } = await response.json();
const notifications = pagination.data;
import requests
response = requests.get(
'https://app.drime.cloud/api/v1/notifications',
params={'per_page': 10, 'page': 1},
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'}
)
notifications = response.json()['pagination']['data']
{
"pagination": {
"current_page": 1,
"data": [
{
"id": "abc123",
"type": "file_shared",
"data": {
"file_name": "document.pdf",
"shared_by": "colleague@example.com"
},
"read_at": null,
"created_at": "2025-01-15T10:30:00.000000Z"
}
],
"from": 1,
"last_page": 1,
"per_page": 10,
"to": 1,
"total": 1
}
}
User & Workspaces
Get Notifications
Get user notifications
GET
/
notifications
curl "https://app.drime.cloud/api/v1/notifications?per_page=10&page=1" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
const response = await fetch(
'https://app.drime.cloud/api/v1/notifications?per_page=10&page=1',
{
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN'
}
}
);
const { pagination } = await response.json();
const notifications = pagination.data;
import requests
response = requests.get(
'https://app.drime.cloud/api/v1/notifications',
params={'per_page': 10, 'page': 1},
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'}
)
notifications = response.json()['pagination']['data']
{
"pagination": {
"current_page": 1,
"data": [
{
"id": "abc123",
"type": "file_shared",
"data": {
"file_name": "document.pdf",
"shared_by": "colleague@example.com"
},
"read_at": null,
"created_at": "2025-01-15T10:30:00.000000Z"
}
],
"from": 1,
"last_page": 1,
"per_page": 10,
"to": 1,
"total": 1
}
}
Overview
Returns a paginated list of notifications for the authenticated user.Query Parameters
integer
default:"10"
Number of notifications per page
integer
default:"1"
Page number to retrieve
Response
object
curl "https://app.drime.cloud/api/v1/notifications?per_page=10&page=1" \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN"
const response = await fetch(
'https://app.drime.cloud/api/v1/notifications?per_page=10&page=1',
{
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN'
}
}
);
const { pagination } = await response.json();
const notifications = pagination.data;
import requests
response = requests.get(
'https://app.drime.cloud/api/v1/notifications',
params={'per_page': 10, 'page': 1},
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'}
)
notifications = response.json()['pagination']['data']
{
"pagination": {
"current_page": 1,
"data": [
{
"id": "abc123",
"type": "file_shared",
"data": {
"file_name": "document.pdf",
"shared_by": "colleague@example.com"
},
"read_at": null,
"created_at": "2025-01-15T10:30:00.000000Z"
}
],
"from": 1,
"last_page": 1,
"per_page": 10,
"to": 1,
"total": 1
}
}
⌘I

